#include <bits/stdc++.h>

using namespace std;

vector <int> v;

int main()
{
    long long n,x,a,d=0,l=0,rez=0,maks=-100000000, mini=100000000;

    cin >> n;
    cin >> x;

    for(long long i=0; i<n; i++)
    {
        cin >> a;

        if(a>maks)
        {
            maks=a;
        }
        if(a<mini)
        {
            mini=a;
        }
        if(a<x)
        {
            l++;
        }
        else
        {
            d++;
        }
    }

    if(l==0)
    {
        rez=maks-x;
    }
    else if(d==0)
    {
        rez=x-mini;
    }
    else if(maks-x < x-mini)
    {
        rez=(2*maks)-x-mini;
    }
    else if(maks-x >= x-mini)
    {
        rez=x+maks-(2*mini);
    }

    cout << rez << endl;
    return 0;
}